<?xml version="1.0" encoding="utf-8"?>
<control-inst 
    xsi:type="sai:FlashPanelCtrlType"
    xmlns="http://www.sonyericsson.com/sui" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:sai="http://www.sonyericsson.com/sai" 
    xsi:schemaLocation="http://www.sonyericsson.com/sui \MC_SwModules_005\cah1623241_sui_toolkit\doc\sui.xsd
                        http://www.sonyericsson.com/sai \MC_SwModules_005\cah1623214_standby_framework\docs\sai_extensions.xsd
                        http://www.sonyericsson.com/sai \MC_SwModules_005\cah1623217_semc_standby_panels\docs\sai_panels.xsd" >
  <visuals>
    <visual id="TransitionImage" tag="item">
      <visual-inst xsi:type="imageVisualType" scale-mode="normal">
        <data data-type="provider">sai:flashTransitionImageModel#transition-image</data>
      </visual-inst>
    </visual>
    <visual id="FlashPanelManager" tag="item">
      <visual-inst xsi:type="sai:flashVisualType">
        <data data-type="provider">sai:flashModel#test</data>
      </visual-inst>
    </visual>
  </visuals>
  <layouts>
    <layout id="layout_portrait">
      <layout-mgr xsi:type="fixedLayoutMgr">
        <layout-item xsi:type="fixedLayoutItemType" x="0" y="61" width="360" height="554">
          <visual-link visual-id="TransitionImage"/>
        </layout-item>
        <layout-item xsi:type="fixedLayoutItemType" x="0" y="61" width="360" height="554">
          <visual-link visual-id="FlashPanelManager"/>
        </layout-item>
      </layout-mgr>
    </layout>
    <layout id="layout_landscape">
      <layout-mgr xsi:type="fixedLayoutMgr">
        <layout-item xsi:type="fixedLayoutItemType" x="0" y="0" width="640" height="360">
          <visual-link visual-id="TransitionImage"/>
        </layout-item>
        <layout-item xsi:type="fixedLayoutItemType" x="0" y="0" width="640" height="360">
          <visual-link visual-id="FlashPanelManager"/>
        </layout-item>
      </layout-mgr>
    </layout>
  </layouts>
  <navibar-button-model name="FlashPanelNaviBarButtonModel" xmlns="http://www.sonyericsson.com/sai">
    <text>Flash</text>
    <tooltip>The Flash Panel</tooltip>
    <icon>Z:\resource\apps\sai\FlashPanel\FlashExample.png</icon>
  </navibar-button-model>
  <configurations>
    <configuration xsi:type="orientationConfigurationType" orientation="portrait" id="layout_portrait"/>
    <configuration xsi:type="orientationConfigurationType" orientation="landscape" id="layout_landscape"/>
  </configurations>
  <transitions>
    <transition-event duration="500" delay="250">
      <event-filter>
        <filter attribute="event_type" value="on_activation_right"/>
      </event-filter>
      <transition time-offset="50">
        <tag-filter>
          <filter value="item"/>
        </tag-filter>
        <sort>
          <value name="y" ascending="true"/>
          <value name="x" ascending="true"/>
        </sort>
        <transition-effect xsi:type="flyInEffectType">
          <x-vector direction="right"/>
        </transition-effect>
      </transition>
    </transition-event>
    <transition-event duration="500">
      <event-filter>
        <filter attribute="event_type" value="on_deactivation_right"/>
      </event-filter>
      <transition time-offset="50">
        <tag-filter>
          <filter value="item"/>
        </tag-filter>
        <sort>
          <value name="y" ascending="true"/>
          <value name="x" ascending="true"/>
        </sort>
        <transition-effect xsi:type="flyOutEffectType">
          <x-vector direction="left"/>
        </transition-effect>
      </transition>
    </transition-event>
    <transition-event duration="500" delay="250">
      <event-filter>
        <filter attribute="event_type" value="on_activation_left"/>
      </event-filter>
      <transition time-offset="50">
        <tag-filter>
          <filter value="item"/>
        </tag-filter>
        <sort>
          <value name="y" ascending="true"/>
          <value name="x" ascending="true"/>
        </sort>
        <transition-effect xsi:type="flyInEffectType">
          <x-vector direction="left"/>
        </transition-effect>
      </transition>
    </transition-event>
    <transition-event duration="500">
      <event-filter>
        <filter attribute="event_type" value="on_deactivation_left"/>
      </event-filter>
      <transition time-offset="50">
        <tag-filter>
          <filter value="item"/>
        </tag-filter>
        <sort>
          <value name="y" ascending="true"/>
          <value name="x" ascending="true"/>
        </sort>
        <transition-effect xsi:type="flyOutEffectType">
          <x-vector direction="right"/>
        </transition-effect>
      </transition>
    </transition-event>
  </transitions>
</control-inst>
